package ink.wgink.mongo.module.dictionary.service;

import ink.wgink.module.dictionary.pojo.dtos.DataDTO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.dtos.ZTreeDTO;
import ink.wgink.pojo.result.SuccessResultList;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: IDictionaryService
 * @Description: 字典
 * @Author: WangGeng
 * @Date: 2019/11/18 14:09
 * @Version: 1.0
 **/
public interface IMongoDataService {

    /**
     * 更新mongo
     */
    void updateMongo();

    /**
     * 通过ID获取字典
     *
     * @param dataId
     * @return
     */
    DataDTO get(String dataId);

    /**
     * 通过上级ID获取字典列表
     *
     * @param dataParentId
     * @return
     */
    List<DataDTO> listByParentId(String dataParentId);

    /**
     * 通过上级ID获取字典全部列表
     *
     * @param dataParentId
     * @return
     */
    List<DataDTO> listAllByParentId(String dataParentId);

    /**
     * 分页获取字典列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<DataDTO>> listPage(ListPage page);

    /**
     * zTree列表
     *
     * @param dataParentId
     * @return
     */
    List<ZTreeDTO> listZTree(String dataParentId);

    /**
     * 字典列表（通过字典编码）
     *
     * @param dataCode
     * @return
     */
    List<DataDTO> listByCode(String dataCode);

}
